#!/bin/sh

REPORT_EMAIL=email@thomasave.be

ZPOOL_STATUS=$(zpool status -x)
if [ "$ZPOOL_STATUS" = "all pools are healthy" ] || [ "$ZPOOL_STATUS" = "no pools available" ]
then
        printf 0 > /var/db/zpool.status
else
        if [ "$(cat /var/db/zpool.status)" -eq 0 ]
        then
                zpool status | mail -s "ZPOOL NOT HEALTHY" $REPORT_EMAIL
                printf 1 > /var/db/zpool.status
        fi
fi
